#!/usr/bin/env bash

#TAXONOMY
qiime feature-classifier classify-sklearn \
--i-classifier /mnt/datasets/classifiers/silva-138-99-515-806-nb-classifier.qza \
--i-reads rep-seqs.qza \
--o-classification taxonomy.qza

qiime metadata tabulate \
--m-input-file taxonomy.qza \
--o-visualization taxonomy.qzv

# Taxonomy barplots
qiime taxa barplot \
--i-table table.qza \
--i-taxonomy taxonomy.qza \
--m-metadata-file qiimemeta.tsv \
--o-visualization taxa-bar-plots.qzv

#-----------------------------------------------------------------------------------
# export files

cd /data
mkdir fish_export
cd fish_export
mkdir taxonomy_export 
mkdir table_export 

qiime tools export \
--input-path ../fish/table.qza \
--output-path table_export 

biom convert \
-i feature-table.biom \
--to-tsv \
-o feature-table.txt


qiime tools export \
--input-path ../fish/taxonomy.qza \
--output-path taxonomy_export 

qiime tools export \
--input-path ../fish/rooted-tree.qza   \
--output-path rooted_tree_export
